(require 'dot-emacs)

(defun copyright-texts ()
  (setq 
   copyright1 (concat "	Copyright (c) " (year) " " copyright-holder)
   copyright2 "	    All rights reserved"
   author (concat "Author: " user-mail-real-name " <" user-mail-address ">")
   ))

(copyright-texts)

(defun insert-magic-date (&optional comment-prefix)
  (interactive)
  (let ((internal-comment-prefix 
	 (if comment-prefix comment-prefix "")))
    (insert "
" internal-comment-prefix
"Created: " (current-time-string) " " (user-real-login-name) "
" internal-comment-prefix
"Last modified: " (current-time-string) " " (user-real-login-name) "
")))

(defun insert-header (comment-prefix &optional head-magic foot-magic)
  "Inserts special (c)-header"
  (let ((head-magic (if head-magic head-magic comment-prefix))
	(foot-magic (if foot-magic foot-magic comment-prefix)))
    (insert head-magic "
" comment-prefix " $Id: "(file-name-nondirectory (or (buffer-file-name) "")) " $
" comment-prefix "
" comment-prefix " " author "
"
  comment-prefix "
" comment-prefix " " copyright1 "
" comment-prefix " " copyright2 "
" 
  comment-prefix )
  (insert-magic-date (concat comment-prefix " ")) 
  (insert
  comment-prefix "
" comment-prefix " HISTORY 
" comment-prefix " $Log: $
")  
  (insert foot-magic "
")))

; EOF
